MINOVA DEMO - Feature #4165

Report Process Tracking
01/26/2026 05:24 PM - haykal haykal

Status: Assigned Start date: 01/26/2026
Priority: Normal Due date: 01/30/2026
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Untk report Process Tracking saat ini sudah ada, namun mungkin bisa diperbaiki lagi sesuai keinginan Bapak.
Jadi nanti user bisa view report berdasarkan filter-filter yg ada.

Dhafin, utk design reportnya boleh tlg dibuatkan ya. Diskusi langsung sm Bapak aja bentukannya mau seperti apa.
ProcessID adalah field yg isinya otomatis tergenerate by system dan ada di tabel header document.

Contoh ada di:

PTRSALESHEADER

PTRPURCHHEAD

PTRMATERIALHEAD

PTRMATERIALHEADINTERNAL

(Kalau mau lihat daftar tabel header utk semua doctype bisa dilihat di PCMBSDOCTYPE)

1 Process ID adalah untk 1 flow process.

Contoh misalkan flownya adalah: Purchase Requisition > Purchase Order > Goods Receipt (di aplikasi dibuat dengan ref)
Untk ketiga document itu akan terbentuk dengan document number yg berbeda-beda, namun dengan 1 ProcessID yang sama

(Note: Untk autogenerate ProcessID saat ini sudah berjalan, tidak perlu didevelop lagi. Hanya perlu reportnya saja)

Jadi kalau misal user memfilter ProcessID, di reportnya harus dimunculkan semua document yang memiliki ProcessID tersebut.
Contoh:

DocNo PR 00000001

DocNo PO 00000002

DocNO GR 00000001

PO dibuat dengan mengeref dari PR
GR dibuat dengan mengeref dari PO

Ketiga document tersebut memiliki ProcessID yang sama (00020241)
Untk case ini, nanti di reportnya akan muncul 4 row;

Row 1: ProcessID (dengan shading)
Row 2: DocNo PR
Row 3: DocNo PO
Row 4: DocNo GR

Untk detail design reportnya dan field-field yg mau dimunculkan apa saja langsung tektokan sama Bapak aja ya fin. Nanti kl
designnya udh baru diassign ke developer.

ReportID: PRPTPROCESSTRACK
MenulD: PRPTPROCESSTRACK

Menu Path: Logistic & Service > Reporting > Process Tracking
Port: https://demo.minovais.com/
DB: MinovaES_Demo (103.153.60.89)

01/29/2026 1/5



https://demo.minovais.com/

Terimakasih.

History

#1 - 01/26/2026 05:34 PM - Kezia Pawitra Yulianti
- Due date set to 01/30/2026

- Status changed from New to Assigned

#2 - 01/27/2026 10:20 AM - Dhafin Riando
- File clipboard-202601271020-f5vid.png added

- Assignee changed from Dhafin Riando to Kezia Pawitra Yulianti

Terima kasih atas penjelasan terkait kebutuhan Process Tracking Report.

Saya sudah memahami bahwa Process ID merupakan identifier untuk 1 flow proses yang sama (misalnya PR — PO — GR), di mana setiap
dokumen memiliki nomor berbeda namun berada dalam 1 Process ID yang sama.

Usulan Design Report Process Tracking
Kami mengusulkan desain report seperti terlampir dengan konsep sebagai berikut:

1. Filter Pencarian

User dapat melakukan pencarian data berdasarkan:

* Process ID

» Document No

* Created By

» Document Type

* Status

+ Date From — Date To

Filter ini memungkinkan user untuk menelusuri flow proses secara spesifik maupun global sesuai kebutuhan.

2. Tampilan Data (Grouped by Process ID)

Data ditampilkan dalam bentuk grouping per Process ID, dengan ketentuan:

» 1 Process ID ditampilkan sebagai header row (dengan shading / background khusus)

+ Di bawahnya ditampilkan seluruh dokumen yang memiliki Process ID tersebut

Contoh tampilan:

* Row 1 : Process ID : 00020241 (shaded / highlighted)

* Row 2 : Purchase Requisition — PRO0000001

* Row 3 : Purchase Order — PO00000002 (Ref: PRO0000001)

* Row 4 : Goods Receipt — GR00000001 (Ref: PO00000002)

Dengan pendekatan ini, user dapat dengan mudah melihat alur dokumen end-to-end dalam satu flow proses.

3. Kolom / Field yang Ditampilkan

Field utama yang ditampilkan pada report:
» Document Type

* Document No

* Reference Document

» Document Date

* Status

« Amount

+ Created By

4. Fitur Tambahan

* Export to Excel

* Pagination

« Informasi total data yang ditampilkan

Untuk detail final terkait field tambahan atau penyesuaian tampilan, kami siap untuk diskusi langsung agar design report benar-benar sesuai dengan

kebutuhan. Setelah design disepakati, selanjutnya dapat langsung kami assign ke tim developer.
Terima kasih.
o ERP Logistics Dashboard  Process Tracking  Inventory  Service  Settings Q Search processes... [ ]
Reports > Process Tracking Report

L]
Process Tracking Report

Monitor document flow and transparency across logistics processes.

Y SearchFilters

Process ID Document No Created By Document Type

e.g. 00020241 e.g. PO00000002 Enter name All Types ~
Status Date From Date To

All Statuses v mm/dd/yyyy [} mm/dd/yyyy [m]

O Reset B Export Excel

DOC TYPE DOC NO REF DOC DOC DATE STATUS AMOUNT CREATED BY

"% Process ID: 00020241 3 Documents

PR Purchase Requisition PRO0O000001 _ 01/01/2026 APPROVED 50,000,000 A Andi
Po  Purchase Order PO00000002 PRO00000O1 03/01/2026 POSTED 48,000,000 B Budi
cr  Goods Receipt GR0O0000001 PO00000002 05/01/2026 POSTED — s Siti

"% ProcessID: 00020242  1Doccument

PR Purchase Requisition PR00000002 -_— 06/01/2028 PENDING 12,500,000 A Andi

Showing 1to 4 of 24 results n 2 3 4

© 2024 ERP Logistics Solutions. All rights reserved.

#3 - 01/27/2026 11:44 AM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to Dhafin Riando

ada bbrp catatan hasil diskusi dengan pak heriyas.
tolong untuk di revisi sedikit design nya ya.

Untuk selection Status di hilangkan saja, tambahin selection 'description' setelah Process ID (karena 2 itu terkait dengan process).
Untuk 5 selection yg lain nya, di pindahin ke bawah (karena itu terkait dgn selection document nya)

Jangan lupa tambahin design untuk hyperlink d document yaa (new tab jika di klik)
Tks

#4 - 01/28/2026 11:09 AM - Dhafin Riando

- File clipboard-202601281109-esfsp.png added

- File clipboard-202601281109-7qiu7.png added

- Assignee changed from Dhafin Riando to Kezia Pawitra Yulianti
Berikut ya bu untuk updatenya :

o ERP Logistics Dashboard ~ Process Tracking  Inventory  Service  Settings
Reports > Process Tracking Report
.
Process Tracking Report
Monitor document flow and transparency across logistics processes.
Y Search Filters
PROCESS FILTERS
Process ID Description
e.g. 00020241 Enter process description...
DOCUMENT FILTERS
Document No Created By Document Type Date From
e.g. PO00000002 Enter name All Types v mm/dd/yyyy
) Reset

PROCESS ID

s "= 00020241

DOC TYPE

PR Purchase Requisition

PO Purchase Order

R Goods Receipt

> "= 00020242
» & 00020243
> = 00020244

Showing 1to 4 of 24 processes

01/29/2026

DESCRIPTION

Office Supplies Procurement & Logistics Flow 3 Documents

DESCRIPTION DOCNO REF DOC DOC DATE

Procurement for Office Supplies PRO0O0000O1T - 01/01/2026
Inventory Restock - Q1 Materials POO0000002 PROOOOOOOT 03/01/2026
Office Equipment Receipt GROOD0D0001 POD0CD0002 05/01/2026

Emergency Hardware Repair and Maintenance Service Process  1Document

Warehouse Stock Replenishment - Regional Hub

5 Documents

Vehicle Maintenance and Fuel Logistics Management 2 Documents

© 2024 ERP Logistics Solutions. All rights reserved.

Q_ Search processes... a

Date To

] mm/dd/yyyy [m]

STATUS AMOUNT CREATEDBY
APPROVED £0,000,000 A Andi
POSTED 48,000,000 B Bud
POSTED - s Siti
M Enterprise ERP  Dashboard

Documents Approvals

Approvals / Goods Receipt / GR-2401-00012

Goods Receipt GR-2401-00012 - #werove

Submitted on Oct 24, 2023 by John Doe « Logistics Department

© Document Summary

REQUESTER

Jo John Doe

j.doe@logistics-corp.com

Received Items (4)

DEPARTMENT & SITE

Logistics & Supply Chain
Warehouse Central (W-04)

PART NUMBER DESCRIPTION QUANTITY
PN-8829-X Hydraulic Pump System - Type B 2
FA-1102-M Air Filter Assembly 10

2 Reviewer Feedback

Marcus Chen Manager

Reports

= Print <, Share

TOTAL VALUE

$12,450.00

Currency: USD

View All Details

UNIT PRICE TOTAL
$4,500.00 $9,000.00
$345.00 $3,450.00

OCT 25,2023+ 02:15PM

"ltems verified against purchase order PO-2023-9901. Quality check passed for hydraulic systems.
Document is approved for finance review."

Files

Q_ Search orders, receipts... a

Approval Timeline

° Document Created
by John Doe
OCT 24, 10:00 AM

° Submitted for Approval
Workflow triggered
OCT 24, 10:05 AM

o Approved by Manager

Marcus Chen
QOCT 25, 02:15 PM

o Final Finance Review
Sarah Jenkins (Directar)

CURRENT STEP

ATTACHMENTS (2)

m Vendor_Invoice_772.pdf
[ 1.2 MB

! Delivery_Proof.jpg "
850 KB -

LINKED OBJECTS

PURCHASE ORDER
P0-2023-9901

VENDOR
Industrial Selutions Inc.

clipboard-202601271020-f5vid.png
clipboard-202601281109-esfsp.png
clipboard-202601281109-7qiu7.png

01/29/2026

240 KB 01/27/2026
264 KB 01/28/2026
304 KB 01/28/2026

Dhafin Riando
Dhafin Riando
Dhafin Riando
